oo2po(1)

NAME
oo2po - convert an OpenOffice.org (SDF) localization file to Gettext PO localization files

SYNOPSIS

oo2po [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-P|--pot] [-l|--language LANG] [--source-language LANG] [--nonrecursiveinput] [--duplicates DUPLICATESTYLE] [--multifile MULTIFILESTYLE]

DESCRIPTION
See: http://translate.sourceforge.net/wiki/toolkit/oo2po for examples and usage instructions

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in oo, sdf formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot formats

-P/--pot
    output PO Templates (.pot) rather than PO files (.po)

-l/--language
    set target language to extract from oo file (e.g. af-ZA)

--source-language
    set source language code (default en-US)

--nonrecursiveinput
    don't treat the input oo as a recursive store

--duplicates
    what to do with duplicate strings (identical source text): merge, msgctxt (default: 'msgctxt')

--multifile
    how to split po/pot files (single, toplevel or onefile)